LicenseControllerInstallLicense Method |
POST /License/
Installs a new license.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage InstallLicense(
[FromBodyAttribute] string licenseText,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Index")>
Public Function InstallLicense (
<FromBodyAttribute> licenseText As String,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ InstallLicense(
[FromBodyAttribute] String^ licenseText,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Index")>]
member InstallLicense :
[<FromBodyAttribute>] licenseText : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- licenseText
- Type: SystemString
The license text. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
HttpResponseMessage
A
LicenseData object containing the license data, or a status code indicating the problem.
See Also